Skip to main content
Partially update a Job Skill Profile with feedback
curl --request PATCH \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/skill_profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source": "oracle",
  "skills": [
    {
      "skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
      "has_skill": true
    },
    {
      "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
      "has_skill": true,
      "proficiency_level": 2
    },
    {
      "skill_id": "a05c0764-3cde-9200-b6a4-dds7639987ff",
      "has_skill": true,
      "proficiency_float": 0.4,
      "critical": null
    },
    {
      "skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de",
      "has_skill": false
    }
  ]
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

feedback_format
enum<string>
default:skills

The format in which feedback for the Skill Profile is given.

Available options:
skills,
external_vendor_skills
Example:

"skills"

Body

application/json
source
string

The source of the Skill Profile update.

Example:

"oracle"

skills
object[]

The Skills contained in this profile. Either skill or skill_id must be provided, but not both.

Example:
[
  {
    "skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
    "has_skill": true
  },
  {
    "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
    "has_skill": true,
    "proficiency_level": 2
  },
  {
    "skill_id": "a05c0764-3cde-9200-b6a4-dds7639987ff",
    "has_skill": true,
    "proficiency_float": 0.4,
    "critical": null
  },
  {
    "skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de",
    "has_skill": false
  }
]

Response

No Content